:root {
  --color-white: #ffffff;
  --color-dark: #30373A;
  --color-gray: #6E7476;
  --color-green: #4A8873;
  --color-accent: #54E5B3;
  --color-light: #E2E2E2;
  --color-muted: #848A8B;
  --color-bg: #F4F4F4;

  --padding-top: 78px;
  --gap-sm: 24px;
  --gap-md: 36px;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  list-style: none;
}

body {
  font-family: 'TTNorms', 'RobotoLight', 'TimesNewRoman', Arial, sans-serif;
  font-size: 14px;
  line-height: 24px;
  font-weight: 400;
  color: var(--color-gray);
  background-color: var(--color-white);
}

.reviews {
  position: relative;
}

.container_r {
  margin: 0 auto;
  padding: 0 20px;

  @media (min-width: 768px) {
    padding: 20px 90px;
  }

  @media (min-width: 1280px) {
    padding: 0;
    padding-left: 90px;
  }

  @media (min-width: 1440px) {
    padding-left: 100px;
  }
}

.reviews__container {
  max-width: 1440px;
  min-width: 360px;
  display: flex;
  flex-direction: column;
  gap: var(--gap-sm);

  @media (min-width: 768px) {
    font-size: 16px;
    gap: var(--gap-md);
  }

  @media (min-width: 1280px) {
    font-size: 17px;
    gap: var(--gap-md);
    padding-top: 36px;
    padding-bottom: 36px;
    position: relative;
  }

  @media (min-width: 1440px) {
    padding-top: 77.5px;
    padding-bottom: 77.5px;
  }
}

.breadcrumbs__list {
  display: flex;
  align-items: center;
  margin: 0;
  padding: 0;
  gap: 8px;
}

.breadcrumbs__item {
  font-size: 17px;
  color: var(--color-dark);
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
}

.breadcrumbs__item:not(:last-child) {
  color: var(--color-gray);
  text-transform: uppercase;
}

.breadcrumbs__item:not(:last-child)::after {
  content: '';
  background-image: url('../img/breadcrumbs-arrow.svg');
  width: 14px;
  height: 14px;
}

.breadcrumbs__link {
  color: var(--color-muted);
  text-decoration: none;
  font-size: 14px;
  font-weight: 400;
  transition: color 0.3s ease-in-out;
}

.breadcrumbs__link:hover {
  color: var(--color-dark);
  text-decoration: underline;
}

.breadcrumbs__link:focus {
  outline: 2px solid var(--color-accent);
  outline-offset: 2px;
  border-radius: 2px;
  text-decoration: none;
}

.breadcrumbs__text {
  color: var(--color-dark);
  font-size: 14px;
  font-weight: 400;
}

.review {
  display: flex;
  flex-direction: column;

  @media (min-width: 1280px) {
    display: grid;
    grid-template-columns: 570px auto;
    gap: 0;
  }

  @media (min-width: 1440px) {
    grid-template-columns: 642px auto;
  }
}

.reviews__title {
  font-size: 24px;
  font-weight: 700;
  line-height: normal;
  color: var(--color-dark);
  margin-bottom: 16px;
  order: 1;

  @media (min-width: 1280px) {
    grid-area: 1 / 1 / 2 / 2;
  }
}

.review__content {
  display: flex;
  align-items: start;
  justify-content: space-between;
  margin-bottom: var(--gap-sm);
  order: 2;

  @media (min-width: 768px) {
    margin-bottom: var(--gap-md);
  }

  @media (min-width: 1280px) {
    grid-area: 2 / 1 / 3 / 2;
  }
}

.review__text {
  color: var(--color-gray);
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.review__actions {
  order: 3;

  @media (min-width: 1280px) {
    grid-area: 3 / 1 / 4 / 2;
  }
}

.review__button {
  display: block;
  width: 253px;
  min-height: 50px;
  align-items: center;
  padding: 10px 40px;
  background-color: var(--color-accent);
  color: var(--color-green);
  text-decoration: none;
  font-size: 15px;
  font-weight: 500;
  border: none;
  border-radius: 26px;
  cursor: pointer;
  transition: color 0.2s ease-in-out;
  box-sizing: border-box;
}

.review__button:hover {
  background-color: var(--color-green);
  color: var(--color-white);
}

.review__button:focus {
  outline: 2px solid var(--color-accent);
  outline-offset: 2px;
}

.review__author-block {
  display: flex;
  width: 100vw;
  left: -20px;
  flex-shrink: 0;
  margin-bottom: var(--gap-sm);
  position: relative;
  order: 0;

  @media (min-width: 768px) {
    width: 100%;
    left: 0;
    margin-bottom: var(--gap-md);
  }

  @media (min-width: 1280px) {
    grid-area: 1 / 2 / 4 / 3;
    width: fit-content;
    margin-bottom: 0;
    position: absolute;
    top: 0;
    left: auto;
    right: 0;
  }
}

.review__author-figure {
  margin: 0;
  padding: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.review__image-wrapper {
  width: 100%;
  min-height: 386px;
  line-height: 0;
  margin-bottom: 34px;

  @media (min-width: 768px) {
    width: auto;
    min-height: 409px;
    margin-bottom: 42px;
  }

  @media (min-width: 1280px) {
    margin-bottom: 44px;
    min-height: 426px;
  }

  @media (min-width: 1440px) {
    margin-bottom: 49px;
    min-height: 478px;
  }
}

.review__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.review__author {
  position: absolute;
  max-width: 325px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 7px;
  flex-shrink: 0;
  bottom: 0;
  right: 0;
  background-color: var(--color-bg);
  padding: 28px 18px 29px 35px;
  border-radius: 52px 0 0 52px;
  border: 1px solid var(--color-light);
  box-sizing: border-box;

  @media (min-width: 768px) {
    max-width: 437px;
    padding: 45px 57px 45px 69px;
    gap: 4px;
  }

  @media (min-width: 1280px) {
    max-width: 456px;
    padding: 49px 57px 49px 79px;
  }

  @media (min-width: 1440px) {
    max-width: 511px;
    padding: 57px 142px 56px 57px;
  }
}

.review__author-name {
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  color: var(--color-dark);

  @media (min-width: 768px) {
    font-size: 19px;
  }
}

.review__author-position {
  font-size: 14px;
  color: var(--color-muted);
  line-height: normal;

  @media (min-width: 768px) {
    font-size: 16px;
  }
}

.review__paragraph {
  color: var(--color-gray);
}

